summaryrefslogtreecommitdiffstats
path: root/source/n/ca-certificates
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/ca-certificates')
-rwxr-xr-xsource/n/ca-certificates/ca-certificates.SlackBuild23
-rw-r--r--source/n/ca-certificates/slack-desc6
2 files changed, 20 insertions, 9 deletions
diff --git a/source/n/ca-certificates/ca-certificates.SlackBuild b/source/n/ca-certificates/ca-certificates.SlackBuild
index 4f2f2def3..54747d557 100755
--- a/source/n/ca-certificates/ca-certificates.SlackBuild
+++ b/source/n/ca-certificates/ca-certificates.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for ca-certificates
# Copyright 2009,2011 Robby Workman Northport, AL, USA
-# Copyright 2012, 2013, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013, 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,12 +23,23 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=ca-certificates
-VERSION=${VERSION:-20160104}
+VERSION=${VERSION:-20180409}
ARCH=noarch
BUILD=${BUILD:-1}
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TARVERSION=${VERSION}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -41,10 +52,10 @@ cd $TMP
rm -rf $PKGNAM $PKGNAM-$VERSION
# Extract the tarball:
-tar xvf $CWD/${PKGNAM}_$VERSION.tar.?z || exit 1
+tar xvf $CWD/${PKGNAM}_$TARVERSION.tar.?z || exit 1
# Again, both $PKGNAM and $PKGNAM-$VERSION are needed here:
-cd $PKGNAM || cd $PKGNAM-$VERSION || exit 1
+cd $PKGNAM-$VERSION 2> /dev/null || cd $PKGNAM || exit 1
chown -R root:root .
find . \
diff --git a/source/n/ca-certificates/slack-desc b/source/n/ca-certificates/slack-desc
index c302e8283..0ccfdb193 100644
--- a/source/n/ca-certificates/slack-desc
+++ b/source/n/ca-certificates/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler-----------------------------------------------------|